import os
from bluetooth import *


os.system("hciconfig hci0 up")
os.system("hciconfig hci0 piscan")

#apt-get install libbluetooth-dev


server_sock=BluetoothSocket(RFCOMM)
server_sock.bind(("",PORT_ANY))
server_sock.listen(1)

port = server_sock.getsockname()[1]

uuid = "94f39d29-7d6d-437d-973b-fba39e49d4ee" # Uuid inventato, dobbiamo discutere su come generarlo per tuttu

advertise_service( server_sock, "MoviBleSocket",
                   service_id = uuid,
                   service_classes = [ uuid, SERIAL_PORT_CLASS ],
                   profiles = [ SERIAL_PORT_PROFILE ], 
#                   protocols = [ OBEX_UUID ] --> E' un protocollo per il trasferimento binario. Non ci serve ma ricordiamoci che esiste
                 )

client_sock , client_info = server_sock.accept()


try:
    while True:
        data = input("Type something...> ")
        if not data:
            break
        client_sock.send(data)
        data_rcv = client_sock.recv(1024) 
        print(data_rcv)
except IOError:
    pass

client_sock.close()
server_sock.close()

